Name: playonlinux
Version: 4.2.9
Summary: Front-end application for the wine
License: GPLv3
URL: https://www.playonlinux.com
Release: 1%{?dist}
Requires: unzip
Requires: wine
Requires: wget
Requires: xterm
Requires: python > 2.4
Requires: wxPython
Requires: ImageMagick
Requires: cabextract
Requires: gettext
BuildRequires: gzip
BuildRequires: mesa-libGL-devel
Source0: https://github.com/PlayOnLinux/POL-POM-4/archive/%{version}.tar.gz

# Add documentation to playonlinux
# https://github.com/PlayOnLinux/POL-POM-4/pull/32
Patch0: 0001-Add-documentation-to-playonlinux.patch
# Add Makefile to build and install playonlinux
# https://github.com/PlayOnLinux/POL-POM-4/pull/33
Patch1: 0002-Add-Makefile-to-build-and-install-playonlinux.patch
# Change check_gl to use compiled version of check dd
# https://github.com/PlayOnLinux/POL-POM-4/pull/33
Patch2: 0003-Change-check_gl-to-use-compiled-version-of-check_dd.patch
# Updated desktop file for the new format
# https://github.com/PlayOnLinux/POL-POM-4/pull/35
Patch3: 0004-Updated-desktop-file-for-the-new-format.patch

%global BUILD_DIR POL-POM-4-%{version}
%global SOURCE_DIR %{_builddir}/%{BUILD_DIR}

%description
PlayOnLinux is able to install Windows games on your Linux Distro.

%prep
%setup -qn %{BUILD_DIR}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make build

%install
make install PREFIX=%{buildroot}/usr

%files
%doc README.md
%license LICENCE doc/copyright
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Wed Nov 11 2015 Jiri Konecny <jkonecny@redhat.com> 4.2.9-1
- Package creation
